/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Engines\Craft\DefCarpentry.cs
Lines of code: 409
***********************************************************/


using System;
using Server.Items;

namespace Server.Engines.Craft
{
	public class DefCarpentry : CraftSystem
	{
		public override SkillName MainSkill
		{
			get	{ return SkillName.Carpentry;	}
		}
		

		public override int GumpTitleNumber
		{
			get { return 1044004; } // <CENTER>CARPENTRY MENU</CENTER>
		}

		private static CraftSystem m_CraftSystem;
		
		public override bool RetainsColorFrom( CraftItem item, Type type )
		{
			return true;
		}

		public static CraftSystem CraftSystem
		{
			get
			{
				if ( m_CraftSystem == null )
					m_CraftSystem = new DefCarpentry();

				return m_CraftSystem;
			}
		}

		public override double GetChanceAtMin( CraftItem item )
		{
			return 0.5; // 50%
		}

		private DefCarpentry() : base( 1, 1, 1.25 )// base( 1, 1, 3.0 )
		{
		}

		public override int CanCraft( Mobile from, BaseTool tool, Type itemType )
		{
			if( tool == null || tool.Deleted || tool.UsesRemaining < 0 )
				return 1044038; // You have worn out your tool!
			else if ( !BaseTool.CheckAccessible( tool, from ) )
				return 1044263; // The tool must be on your person to use.

			return 0;
		}

		public override void PlayCraftEffect( Mobile from )
		{
			// no animation
			//if ( from.Body.Type == BodyType.Human && !from.Mounted )
			//	from.Animate( 9, 5, 1, true, false, 0 );

			from.PlaySound( 0x23D );
		}

		public override int PlayEndingEffect( Mobile from, bool failed, bool lostMaterial, bool toolBroken, int quality, bool makersMark, CraftItem item )
		{
			if ( toolBroken )
				from.SendLocalizedMessage( 1044038 ); // You have worn out your tool

			if ( failed )
			{
				if ( lostMaterial )
					return 1044043; // You failed to create the item, and some of your materials are lost.
				else
					return 1044157; // You failed to create the item, but no materials were lost.
			}
			else
			{
				if ( quality == 0 )
					return 502785; // You were barely able to make this item.  It's quality is below average.
				else if ( makersMark && quality == 2 )
					return 1044156; // You create an exceptional quality item and affix your maker's mark.
				else if ( quality == 2 )
					return 1044155; // You create an exceptional quality item.
				else				
					return 1044154; // You create the item.
			}
		}

		public override void InitCraftList()
		{
			int index = -1;

			// Other Items
			
			index = AddCraft( typeof( AcidProofRope ), 1044294, 1020525, 80, 100, typeof( GreaterStrengthPotion ), 1044547, 2, 1053098);
			AddRes( index, typeof( Switch ), 1032127, 2, 1044253 );
			AddRes( index, typeof( ProtectionScroll ), 1044395, 1, 1053098);
			SetNeededExpansion( index, Expansion.ML );
			
			
			AddCraft( typeof( ArcanistStatueEastDeed ), 1044294, 1072886, 0, 113.1, typeof( Board ), 1044041, 250, 1044351 );			
			AddCraft( typeof( ArcanistStatueSouthDeed ), 1044294, 1072885, 0, 113.1, typeof( Board ), 1044041, 250, 1044351 );	
			
			index = AddCraft( typeof( BambooScreen ), 1044294, 1029428, 80.0, 105.0, typeof( Board ), 1044041, 75, 1044351 );
			AddSkill( index, SkillName.Tailoring, 50.0, 55.0 );
			AddRes( index, typeof( Cloth ), 1044286, 60, 1044287 );
			SetNeededExpansion( index, Expansion.SE );
			
			AddCraft( typeof( BarrelLid ),					1044294, 1027608,	11.0,  36.0,	typeof( Board ), 1044041,  4, 1044351 );
			AddCraft( typeof( BarrelStaves ),				1044294, 1027857,	00.0,  25.0,	typeof( Board ), 1044041,  5, 1044351 );
			
			index =	AddCraft( typeof( Board ),				1044294, 1027127,	 0.0,   0.0,	typeof( Board ), 1044466,  0, 1044465 );
			//SetUseAllRes( index, true );

			AddCraft( typeof( Easle ),						1044294, 1044317,	86.8, 111.8,	typeof( Board ), 1044041, 20, 1044351 );
			
			AddCraft( typeof( FishingPole ), 1044294, 1023519, 68.4, 93.4, typeof( Board ), 1044041, 5, 1044351 );
			
			index = AddCraft( typeof( GiantReplicaAcorn ), 1044294, 1072889, 80, 110.0, typeof( Board ), 1044041, 35, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			
			//index = AddCraft( typeof( FishingPole ), 1044295, 1023519, 68.4, 93.4, typeof( Board ), 1044041, 5, 1044351 ); 
			//AddSkill( index, SkillName.Tailoring, 40.0, 45.0 );
			//AddRes( index, typeof( Cloth ), 1044286, 5, 1044287 );
			
			index = AddCraft( typeof( MountedDreadHorn ), 1044294, 1032632, 90.0, 105.0, typeof( Board ), 1044041, 50, 1044351 );
			AddRes( index, typeof( PristineDreadHorn ), 1032634, 1, 1053098 );
			SetNeededExpansion( index, Expansion.ML );
			
			index = AddCraft( typeof( RedHangingLantern ), 1044294, 1029412, 65.0, 90.0, typeof( Board ), 1044041, 5, 1044351 );
			AddRes( index, typeof( BlankScroll ), 1044377, 10, 1044378 );
			SetNeededExpansion( index, Expansion.SE );
				
			index = AddCraft( typeof( RunedSwitch ), 1044294, 1032129, 70, 150, typeof( EnchantedSwitch ), 1032124, 1, 1053098);
			AddRes( index, typeof( JeweledFiligree ), 1032126, 1, 1053098);
			AddRes( index, typeof( RunedPrism ), 1073465, 1, 1053098);
			SetNeededExpansion( index, Expansion.ML );
				
			index = AddCraft( typeof( ShojiScreen ), 1044294, 1029423, 80.0, 105.0, typeof( Board ), 1044041, 75, 1044351 );
			AddSkill( index, SkillName.Tailoring, 50.0, 55.0 );
			AddRes( index, typeof( Cloth ), 1044286, 60, 1044287 );
			SetNeededExpansion( index, Expansion.SE );

			AddCraft( typeof( ShortMusicStand ),			1044294, 1044313,	78.9, 103.9,	typeof( Board ), 1044041, 15, 1044351 );
			
			AddCraft( typeof( SquirrelStatueEastDeed ), 1044294, 1073398, 0, 113.1, typeof( Board ), 1044041, 250, 1044351 );
						   
			AddCraft( typeof( SquirrelStatueSouthDeed ), 1044294, 1072884, 0, 113.1, typeof( Board ), 1044041, 250, 1044351 );
			
			AddCraft( typeof( TallMusicStand ),			1044294, 1044315,	81.5, 106.5,	typeof( Board ), 1044041, 20, 1044351 );
			
			AddCraft( typeof( WarriorStatueEastDeed ), 1044294, 1072888,0, 113.1, typeof( Board ), 1044041, 250, 1044351 );									
			AddCraft( typeof( WarriorStatueSouthDeed ), 1044294, 1072887,0, 113.1, typeof( Board ), 1044041, 250, 1044351 );

			index = AddCraft( typeof( WhiteHangingLantern ), 1044294, 1029416, 65.0, 90.0, typeof( Board ), 1044041, 5, 1044351 );
			AddRes( index, typeof( BlankScroll ), 1044377, 10, 1044378 );
			SetNeededExpansion( index, Expansion.SE );					

			// Furniture
			
			index = AddCraft( typeof( BigElvenChair ),	1044291, 1031755,	85.0, 100.0,	typeof( Board ), 1044041, 40, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			index = AddCraft( typeof( ElegantLowTable ),	1044291, 1030265,	80.0, 105.0,	typeof( Board ), 1044041, 35, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			index = AddCraft( typeof( ElvenReadingChair ),	1044291, 1031765,	80.0, 95.0,	typeof( Board ), 1044041, 30, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			index = AddCraft( typeof( ElvenPodium ),	1044291, 1031741, 80.0, 90.0,	typeof( Board ), 1044041, 20, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			AddCraft( typeof( FootStool ),					1044291, 1022910,	11.0,  36.0,	typeof( Board ), 1044041,  9, 1044351 );
			index = AddCraft( typeof( FancyElvenTableEastDeed ), 1044291, "hardwood table (east)",	80.0,  90.0,	typeof( Board ), 1044041, 50, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			index = AddCraft( typeof( FancyElvenTableSouthDeed ), 1044291, "hardwood table (south)",	80.0,  90.0,	typeof( Board ), 1044041, 50, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			AddCraft( typeof( YewWoodTable ),				1044291, 1044307,	63.1,  88.1,	typeof( Board ), 1044041, 23, 1044351 );
			AddCraft( typeof( Throne ),						1044291, 1044305,	73.6,  98.6,	typeof( Board ), 1044041, 19, 1044351 );
			index = AddCraft( typeof( OrnateElvenChair ),						1044291, 1072870,	80.0,  90.0, typeof( Board ), 1044041, 30, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			index = AddCraft( typeof( OrnateElvenTableEastDeed ),	1044291, "ornate elven table (east)",	85.0,  95.0,	typeof( Board ), 1044041, 60, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			index = AddCraft( typeof( OrnateElvenTableSouthDeed ),	1044291, "ornate elven table (south)",	85.0,  95.0,	typeof( Board ), 1044041, 60, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			index = AddCraft( typeof( PlainLowTable ),		1044291, 1030266,	80.0, 105.0,	typeof( Board ), 1044041, 35, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			AddCraft( typeof( Nightstand ),					1044291, 1044306,	42.1,  67.1,	typeof( Board ), 1044041, 17, 1044351 );
			AddCraft( typeof( Stool ),						1044291, 1022602,	11.0,  36.0,	typeof( Board ), 1044041,  9, 1044351 );
			AddCraft( typeof( BambooChair ),				1044291, 1044300,	21.0,  46.0,	typeof( Board ), 1044041, 13, 1044351 );
			AddCraft( typeof( WoodenChairCushion ),			1044291, 1044303,	42.1,  67.1,	typeof( Board ), 1044041, 13, 1044351 );
			AddCraft( typeof( FancyWoodenChairCushion ),	1044291, 1044302,	42.1,  67.1,	typeof( Board ), 1044041, 15, 1044351 );
			AddCraft( typeof( WoodenBench ),				1044291, 1022860,	52.6,  77.6,	typeof( Board ), 1044041, 17, 1044351 );
			AddCraft( typeof( WoodenChair ),				1044291, 1044301,	21.0,  46.0,	typeof( Board ), 1044041, 13, 1044351 );
			AddCraft( typeof( WoodenThrone ),				1044291, 1044304,	52.6,  77.6,	typeof( Board ), 1044041, 17, 1044351 );
			AddCraft( typeof( WritingTable ),				1044291, 1022890,	63.1,  88.1,	typeof( Board ), 1044041, 17, 1044351 );
			AddCraft( typeof( LargeTable ),					1044291, 1044308,	84.2, 109.2,	typeof( Board ), 1044041, 27, 1044351 );

			// Containers
			
			index = AddCraft( typeof( ArcaneBookshelf ), 1044292, 1032420,	94.7, 120.0,	typeof( Board ), 1044041, 80, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			AddCraft( typeof( Armoire ),					1044292, 1022643,	84.2, 109.2,	typeof( Board ), 1044041, 35, 1044351 );
			AddCraft( typeof( FancyArmoire ),				1044292, 1044312,	84.2, 109.2,	typeof( Board ), 1044041, 35, 1044351 );
			index = AddCraft( typeof( CherryArmoire ),	1044292, 1030333, 90.0, 115.0,	typeof( Board ), 1044041, 40, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			index = AddCraft( typeof( DecorativeBox ), 1044292, 1073403, 80.0, 90.0,	typeof( Board ), 1044041, 25, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			index = AddCraft( typeof( ElegantArmoire ),	1044292, 1030330, 90.0, 115.0,	typeof( Board ), 1044041, 40, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			index = AddCraft( typeof( ElvenDresserEastDeed ),	1044292, 1073388, 75.0, 75.0,	typeof( Board ), 1044041, 40, 1044351 );
			SetNeededExpansion( index, Expansion.ML);
			index = AddCraft( typeof( ElvenDresserSouthDeed ),	1044292, 1072864, 75.0, 75.0,	typeof( Board ), 1044041, 40, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			index = AddCraft( typeof( ElvenWashBasinEastDeed ),	1044292, 1073387, 70.0, 70.0,	typeof( Board ), 1044041, 40, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			index = AddCraft( typeof( ElvenWashBasinSouthDeed ),	1044292, 1072865, 70.0, 70.0,	typeof( Board ), 1044041, 40, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			index = AddCraft( typeof( FancyElvenArmoire ),	1044292, 1031527, 80.0, 90.0,	typeof( Board ), 1044041, 60, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			index = AddCraft( typeof( FinishedWoodenChest ),1044292, 1030259, 90.0, 115.0,	typeof( Board ), 1044041, 30, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			
			index = AddCraft( typeof( GildedWoodenChest ),	1044292, 1030255, 90.0, 115.0,	typeof( Board ), 1044041, 30, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			
			index = AddCraft( typeof( Keg ), 1044292, 1023711, 57.8, 82.8, typeof( BarrelStaves ), 1044288, 3, 1044253 );
			AddRes( index, typeof( BarrelHoops ), 1044289, 1, 1044253 );
			AddRes( index, typeof( BarrelLid ), 1044251, 1, 1044253 );
			
			AddCraft( typeof( LargeCrate ),					1044292, 1044311,	47.3,  72.3,	typeof( Board ), 1044041, 18, 1044351 );
			
			index = AddCraft( typeof( MapleArmoire ),	1044292, 1030331, 90.0, 115.0,	typeof( Board ), 1044041, 40, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			
			AddCraft( typeof( MediumCrate ),				1044292, 1044310,	31.0,  56.0,	typeof( Board ), 1044041, 15, 1044351 );
			
			index = AddCraft( typeof( OrnateElvenChestEastDeed ),	1044292, 1073383, 94.7, 120.0,	typeof( Board ), 1044041, 40, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			
			index = AddCraft( typeof( OrnateElvenChestSouthDeed ),	1044292, 1072862, 94.7, 120.0,	typeof( Board ), 1044041, 40, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			
			index = AddCraft( typeof( OrnateWoodenChest ),	1044292, 1030253, 90.0, 115.0,	typeof( Board ), 1044041, 30, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			
			index = AddCraft( typeof( PlainWoodenChest ),	1044292, 1030251, 90.0, 115.0,	typeof( Board ), 1044041, 30, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			
			index = AddCraft( typeof( RarewoodChest ),	1044292, 1073402, 80.0, 95.0,	typeof( Board ), 1044041, 30, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			
			index = AddCraft( typeof( RedArmoire ),	1044292, 1030328, 90.0, 115.0,	typeof( Board ), 1044041, 40, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			
			index = AddCraft( typeof( ShortCabinet ),	1044292, 1030263, 90.0, 115.0,	typeof( Board ), 1044041, 35, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			
			index = AddCraft( typeof( SimpleElvenArmoire ),	1044292, 1031525, 80.0, 90.0,	typeof( Board ), 1044041, 60, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			
			AddCraft( typeof( SmallCrate ),					1044292, 1044309,	10.0,  35.0,	typeof( Board ), 1044041, 8 , 1044351 );
			
			index = AddCraft( typeof( TallCabinet ),	1044292, 1030261, 90.0, 115.0,	typeof( Board ), 1044041, 35, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			
			AddCraft( typeof( WoodenBox ),					1044292, 1023709,	21.0,  46.0,	typeof( Board ), 1044041, 10, 1044351 );
			
			AddCraft( typeof( WoodenChest ),				1044292, 1023650,	73.6,  98.6,	typeof( Board ), 1044041, 20, 1044351 );

			index = AddCraft( typeof( WoodenFootLocker ),	1044292, 1030257, 90.0, 115.0,	typeof( Board ), 1044041, 30, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			
			AddCraft( typeof( EmptyBookcase ),				1044292, 1022718,	31.5,  56.5,	typeof( Board ), 1044041, 25, 1044351 );

			// Staves and Shields
			
			index = AddCraft( typeof( AncientWildStaff ), 1044295, 1073550, 63.8, 130.0, typeof( Board ), 1044041, 16, 1044351); 
			AddRes( index, typeof( PerfectEmerald ), 1032692, 1, 1044240);  
			SetNeededExpansion( index, Expansion.ML );
			
			index = AddCraft( typeof( ArcanistsWildStaff ), 1044295, 1073549, 63.8, 130.0, typeof( Board ), 1044041, 16, 1044351); 
			AddRes( index, typeof( WhitePearl ), 1032694, 1, 1044240);  
			SetNeededExpansion( index, Expansion.ML );
			
			index = AddCraft( typeof( Bokuto ), 1044295, 1030227, 70.0, 95.0, typeof( Board ), 1044041, 6, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			
			index = AddCraft( typeof( Fukiya ), 1044295, 1030229, 60.0, 85.0, typeof( Board ), 1044041, 6, 1044351 );
			SetNeededExpansion( index, Expansion.SE );
			
			AddCraft( typeof( GnarledStaff ), 1044295, 1025112, 78.9, 103.9, typeof( Board ), 1044041, 7, 1044351 );
			
			index = AddCraft( typeof( HardenedWildStaff ), 1044295, 1073552, 63.8, 130.0, typeof( Board ), 1044041, 16, 1044351); 
			AddRes( index, typeof( Turquoise ), 1032691, 1, 1044240);  
			SetNeededExpansion( index, Expansion.ML );
			
			AddCraft( typeof( QuarterStaff ), 1044295, 1023721, 73.6, 98.6, typeof( Board ), 1044041, 6, 1044351 );
			
			index = AddCraft( typeof( RavenHelm ), 1044295, 1031121, 65.0, 115, typeof( Board ), 1044041, 10, 1044351 );
			AddRes( index, typeof( BarkFragment ), 1032687, 4, 1073478 );
			AddRes( index, typeof( Feather ), 1044562, 25, 1044563 );		
			SetNeededExpansion( index, Expansion.ML );
			
			AddCraft( typeof( ShepherdsCrook ), 1044295, 1023713, 78.9, 103.9, typeof( Board ), 1044041, 7, 1044351 );
			
			index = AddCraft( typeof( Tetsubo ), 1044295, 1030225, 85.0, 110.0, typeof( Board ), 1044041, 8, 1044351 );
			AddSkill( index, SkillName.Tinkering, 40.0, 45.0 );
			AddRes( index, typeof( IronIngot ), 1044036, 5, 1044037 );
			SetNeededExpansion( index, Expansion.SE );
			
			index = AddCraft( typeof( ThornedWildStaff ), 1044295, 1073551, 63.8, 130.0, typeof( Board ), 1044041, 16, 1044351); 
			AddRes( index, typeof( FireRuby ), 1032695, 1, 1044240);  
			SetNeededExpansion( index, Expansion.ML );
			
			index = AddCraft( typeof( VultureHelm ), 1044295, 1031122, 63.9, 110, typeof( Board ), 1044041, 15, 1044351 );
			AddRes( index, typeof( BarkFragment ), 1032687, 4, 1073478 );
			AddRes( index, typeof( Feather ), 1044562, 25, 1044563 );		
			SetNeededExpansion( index, Expansion.ML );
			
			index = AddCraft( typeof( WildStaff ), 1044295,1031557, 63.8, 130, typeof( Board ), 1044041, 16, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			
			index = AddCraft( typeof( WingedHelm ), 1044295, 1031123, 58.4, 105, typeof( Board ), 1044041, 10, 1044351 );
			AddRes( index, typeof( BarkFragment ), 1032687, 4, 1073478 );
			AddRes( index, typeof( Feather ), 1044562, 60, 1044563 );		
			SetNeededExpansion( index, Expansion.ML );
			
			AddCraft( typeof( WoodenShield ), 1044295, 1027034, 52.6, 77.6, typeof( Board ), 1044041, 9, 1044351 );
			
			index = AddCraft( typeof( WoodlandArms ), 1044295,1031116, 85, 110, typeof( Board ), 1044041, 15, 1044351 );
			AddRes( index, typeof( BarkFragment ), 1032687, 4, "You do not have enough bark fragment" );
			SetNeededExpansion( index, Expansion.ML );
			
			index = AddCraft( typeof( WoodlandChest ), 1044295,1031111, 90, 120, typeof( Board ), 1044041, 20, 1044351 );
			AddRes( index, typeof( BarkFragment ), 1032687, 6, "You do not have enough bark fragment" );	
			SetNeededExpansion( index, Expansion.ML );		

			index = AddCraft( typeof( WoodlandGloves ), 1044295,1031114, 85, 110, typeof( Board ), 1044041, 15, 1044351 );
			AddRes( index, typeof( BarkFragment ), 1032687, 4, "You do not have enough bark fragment" );	
			SetNeededExpansion( index, Expansion.ML );		

			index = AddCraft( typeof( WoodlandGorget ), 1044295,1031113, 85, 110, typeof( Board ), 1044041, 15, 1044351 );
			AddRes( index, typeof( BarkFragment ), 1032687, 4, "You do not have enough bark fragment" );	
			SetNeededExpansion( index, Expansion.ML );		

			index = AddCraft( typeof( WoodlandLegs ), 1044295,1031115, 85, 110, typeof( Board ), 1044041, 15, 1044351 );
			AddRes( index, typeof( BarkFragment ), 1032687, 4, "You do not have enough bark fragment" );	
			SetNeededExpansion( index, Expansion.ML );	

			// Instruments
			
			index = AddCraft( typeof( BambooFlute ), 1044293, 1030247, 80.0, 105.0, typeof( Board ), 1044041, 15, 1044351 );
			AddSkill( index, SkillName.Musicianship, 45.0, 50.0 );
			SetNeededExpansion( index, Expansion.SE );
			
			index = AddCraft( typeof( Drums ), 1044293, 1023740, 57.8, 82.8, typeof( Board ), 1044041, 20, 1044351 );
			AddSkill( index, SkillName.Musicianship, 45.0, 50.0 );
			AddRes( index, typeof( Cloth ), 1044286, 10, 1044287 );

			index = AddCraft( typeof( LapHarp ), 1044293, 1023762, 63.1, 88.1, typeof( Board ), 1044041, 20, 1044351 );
			AddSkill( index, SkillName.Musicianship, 45.0, 50.0 );
			AddRes( index, typeof( Cloth ), 1044286, 10, 1044287 );

			index = AddCraft( typeof( Lute ), 1044293, 1023763, 68.4, 93.4, typeof( Board ), 1044041, 25, 1044351 );
			AddSkill( index, SkillName.Musicianship, 45.0, 50.0 );
			AddRes( index, typeof( Cloth ), 1044286, 10, 1044287 );
			
			index = AddCraft( typeof( Harp ), 1044293, 1023761, 78.9, 103.9, typeof( Board ), 1044041, 35, 1044351 );
			AddSkill( index, SkillName.Musicianship, 45.0, 50.0 );
			AddRes( index, typeof( Cloth ), 1044286, 15, 1044287 );
			
			index = AddCraft( typeof( Tambourine ), 1044293, 1023741, 57.8, 82.8, typeof( Board ), 1044041, 15, 1044351 );
			AddSkill( index, SkillName.Musicianship, 45.0, 50.0 );
			AddRes( index, typeof( Cloth ), 1044286, 10, 1044287 );

			index = AddCraft( typeof( TambourineTassel ), 1044293, 1044320, 57.8, 82.8, typeof( Board ), 1044041, 15, 1044351 );
			AddSkill( index, SkillName.Musicianship, 45.0, 50.0 );
			AddRes( index, typeof( Cloth ), 1044286, 15, 1044287 );	

			// Misc
			
			index = AddCraft( typeof( AlchemistTableEastDeed ), 1044290, 1073397, 85, 130.0, typeof( Board ), 1044041, 70, 1044351 );
			SetNeededExpansion( index, Expansion.ML );	
			index = AddCraft( typeof( AlchemistTableSouthDeed ), 1044290, 1073396, 85, 130.0, typeof( Board ), 1044041, 70, 1044351 );
			SetNeededExpansion( index, Expansion.ML );	
			
			index = AddCraft( typeof(ArcaneCircleDeed ), 1044290, 1032411, 94.7, 130.0, typeof( Board ), 1044041, 100, 1044351 );
			AddRes( index, typeof( BlueDiamond ), 1032696, 2, 1044240 );					
			AddRes( index, typeof( FireRuby ), 1032695, 2, 1044240 );					
			AddRes( index, typeof( PerfectEmerald ), 1032692, 2, 1044240 );
			SetNeededExpansion( index, Expansion.ML );		
			
			AddCraft( typeof( BallotBoxDeed ), 1044290, 1044327, 47.3, 72.3, typeof( Board ), 1044041, 5, 1044351 );
			index = AddCraft( typeof( Bar ), 1044290, 1026416, 80.0, 100.00, typeof( Board ), 1044041, 30, 1044351 );
			index = AddCraft( typeof( BarCorner ), 1044290, 1026416, 80.0, 100.0, typeof( Board ), 1044041, 30, 1044351 );
			
			if ( Core.AOS )
			{
				AddCraft( typeof( PlayerBBEast ), 1044290, 1062420, 85.0, 110.0, typeof( Board ), 1044041, 50, 1044351 );
				AddCraft( typeof( PlayerBBSouth ), 1044290, 1062421, 85.0, 110.0, typeof( Board ), 1044041, 50, 1044351 );
			}
			
			AddCraft( typeof( DartBoardSouthDeed ), 1044290, 1044325, 15.7, 40.7, typeof( Board ), 1044041, 5, 1044351 );
			AddCraft( typeof( DartBoardEastDeed ), 1044290, 1044326, 15.7, 40.7, typeof( Board ), 1044041, 5, 1044351 );
			
			index = AddCraft( typeof( ElvenBedEastDeed ), 1044290, 1072861,94.7, 113.1, typeof( Board ), 1044041, 100, 1044351 );
			AddRes( index, typeof( Cloth ), 1044286, 100, 1044287 );
			index = AddCraft( typeof( ElvenBedSouthDeed ), 1044290, 1072860, 94.7, 113.1, typeof( Board ), 1044041, 100, 1044351 );
			AddRes( index, typeof( Cloth ), 1044286, 100, 1044287 );
			
			index = AddCraft( typeof( ElvenLoveseatEastDeed ), 1044290, 1073372, 80, 113.1, typeof( Board ), 1044041, 80, 1044351 );
			SetNeededExpansion( index, Expansion.ML );	
			index = AddCraft( typeof( ElvenLoveseatSouthDeed ), 1044290, 1072867, 80, 113.1, typeof( Board ), 1044041, 80, 1044351 );
			SetNeededExpansion( index, Expansion.ML );	
			
			AddCraft( typeof( ladderwestDeed ), 1044290, "ladder (west)", 60, 110.0, typeof( Board ), 1044041, 45, 1044351 );
			AddCraft( typeof( laddernorthDeed ), 1044290, "ladder (north)", 60, 110.0, typeof( Board ), 1044041, 45, 1044351 );
			
			index = AddCraft( typeof( LargeBedEastDeed ), 1044290, 1044324, 94.7, 113.1, typeof( Board ), 1044041, 150, 1044351 );
			AddSkill( index, SkillName.Tailoring, 75.0, 80.0 );
			AddRes( index, typeof( Cloth ), 1044286, 150, 1044287 );
			index = AddCraft( typeof( LargeBedSouthDeed ), 1044290,1044323, 94.7, 113.1, typeof( Board ), 1044041, 150, 1044351 );
			AddSkill( index, SkillName.Tailoring, 75.0, 80.0 );
			AddRes( index, typeof( Cloth ), 1044286, 150, 1044287 );
			
			index = AddCraft( typeof( ParrotPerch), 1044290, 1032214, 50, 113.1, typeof( Board ), 1044041, 50, 1044351 );
			SetNeededExpansion( index, Expansion.ML );	
			
			index = AddCraft( typeof( PentagramDeed ), 1044290, 1044328, 100.0, 125.0, typeof( Board ), 1044041, 100, 1044351 );
			AddSkill( index, SkillName.Magery, 75.0, 80.0 );
			AddRes( index, typeof( IronIngot ), 1044036, 40, 1044037 );
			
			index = AddCraft( typeof( SmallBedSouthDeed ), 1044290, 1044321, 94.7, 113.1, typeof( Board ), 1044041, 100, 1044351 );
			AddSkill( index, SkillName.Tailoring, 75.0, 80.0 );
			AddRes( index, typeof( Cloth ), 1044286, 100, 1044287 );
			index = AddCraft( typeof( SmallBedEastDeed ), 1044290, 1044322, 94.7, 113.1, typeof( Board ), 1044041, 100, 1044351 );
			AddSkill( index, SkillName.Tailoring, 75.0, 80.0 );
			AddRes( index, typeof( Cloth ), 1044286, 100, 1044287 );

			index = AddCraft( typeof( ElvenBedEastDeed ), 1044290, 1072859, 94.7, 113.1, typeof( Board ), 1044041, 200, 1044351 );
			AddRes( index, typeof( Cloth ), 1044286, 100, 1044287 );
			SetNeededExpansion( index, Expansion.ML );	
			index = AddCraft( typeof( ElvenBedSouthDeed ), 1044290, 1072858, 94.7, 113.1, typeof( Board ), 1044041, 200, 1044351 );
			AddRes( index, typeof( Cloth ), 1044286, 100, 1044287 );	
			SetNeededExpansion( index, Expansion.ML );			

			// Blacksmithy
			index = AddCraft( typeof( AnvilEastDeed ), 1044296, 1044333, 73.6, 98.6, typeof( Board ), 1044041, 5, 1044351 );
			AddSkill( index, SkillName.Blacksmith, 75.0, 80.0 );
			AddRes( index, typeof( IronIngot ), 1044036, 150, 1044037 );
			index = AddCraft( typeof( AnvilSouthDeed ), 1044296, 1044334, 73.6, 98.6, typeof( Board ), 1044041, 5, 1044351 );
			AddSkill( index, SkillName.Blacksmith, 75.0, 80.0 );
			AddRes( index, typeof( IronIngot ), 1044036, 150, 1044037 );
			index = AddCraft( typeof( ElvenForgeDeed ), 1044296, 1072875, 94.7, 98.6, typeof( Board ), 1044041, 200, 1044351 );
			SetNeededExpansion( index, Expansion.ML );	
			index = AddCraft( typeof( LargeForgeEastDeed ), 1044296, 1044331, 78.9, 103.9, typeof( Board ), 1044041, 5, 1044351 );
			AddSkill( index, SkillName.Blacksmith, 80.0, 85.0 );
			AddRes( index, typeof( IronIngot ), 1044036, 100, 1044037 );
			index = AddCraft( typeof( LargeForgeSouthDeed ), 1044296, 1044332, 78.9, 103.9, typeof( Board ), 1044041, 5, 1044351 );
			AddSkill( index, SkillName.Blacksmith, 80.0, 85.0 );
			AddRes( index, typeof( IronIngot ), 1044036, 100, 1044037 );
			index = AddCraft( typeof( SmallForgeDeed ), 1044296, 1044330, 73.6, 98.6, typeof( Board ), 1044041, 5, 1044351 );
			AddSkill( index, SkillName.Blacksmith, 75.0, 80.0 );
			AddRes( index, typeof( IronIngot ), 1044036, 75, 1044037 );

			// Training
			index = AddCraft( typeof( PickpocketDipEastDeed ), 1044297, 1044337, 73.6, 98.6, typeof( Board ), 1044041, 65, 1044351 );
			AddSkill( index, SkillName.Tailoring, 50.0, 55.0 );
			AddRes( index, typeof( Cloth ), 1044286, 60, 1044287 );
			index = AddCraft( typeof( PickpocketDipSouthDeed ), 1044297, 1044338, 73.6, 98.6, typeof( Board ), 1044041, 65, 1044351 );
			AddSkill( index, SkillName.Tailoring, 50.0, 55.0 );
			AddRes( index, typeof( Cloth ), 1044286, 60, 1044287 );
			index = AddCraft( typeof( TrainingDummyEastDeed ), 1044297, 1044335, 68.4, 93.4, typeof( Board ), 1044041, 55, 1044351 );
			AddSkill( index, SkillName.Tailoring, 50.0, 55.0 );
			AddRes( index, typeof( Cloth ), 1044286, 60, 1044287 );
			index = AddCraft( typeof( TrainingDummySouthDeed ), 1044297, 1044336, 68.4, 93.4, typeof( Board ), 1044041, 55, 1044351 );
			AddSkill( index, SkillName.Tailoring, 50.0, 55.0 );
			AddRes( index, typeof( Cloth ), 1044286, 60, 1044287 );

			// Tailoring and Cooking
			index = AddCraft( typeof( Dressform ), 1044298, 1044339, 63.1, 88.1, typeof( Board ), 1044041, 25, 1044351 );
			AddSkill( index, SkillName.Tailoring, 65.0, 70.0 );
			AddRes( index, typeof( Cloth ), 1044286, 10, 1044287 );
			index = AddCraft( typeof( ElvenOven ), 1044298, 1072879, 85.0, 100.0, typeof( Board ), 1044041, 80, 1044351 );
			SetNeededExpansion( index, Expansion.ML );
			index = AddCraft( typeof( ElvenSpinningwheelEastDeed ), 1044298, 1073393, 75.0, 100.6, typeof( Board ), 1044041, 60, 1044351 );
			AddSkill( index, SkillName.Tailoring, 65.0, 70.0 );
			AddRes( index, typeof( Cloth ), 1044286, 40, 1044287 );
			SetNeededExpansion( index, Expansion.ML );	
			index = AddCraft( typeof( ElvenSpinningwheelSouthDeed ), 1044298, 1072878, 75.0, 100.6, typeof( Board ), 1044041, 60, 1044351 );
			AddSkill( index, SkillName.Tailoring, 65.0, 70.0 );
			AddRes( index, typeof( Cloth ), 1044286, 40, 1044287 );
			SetNeededExpansion( index, Expansion.ML );	
			index = AddCraft( typeof( FlourMillEastDeed ), 1044298, 1044347, 94.7, 119.7, typeof( Board ), 1044041, 100, 1044351 );
			AddSkill( index, SkillName.Tinkering, 50.0, 55.0 );
			AddRes( index, typeof( IronIngot ), 1044036, 50, 1044037 );
			index = AddCraft( typeof( FlourMillSouthDeed ), 1044298, 1044348, 94.7, 119.7, typeof( Board ), 1044041, 100, 1044351 );
			AddSkill( index, SkillName.Tinkering, 50.0, 55.0 );
			AddRes( index, typeof( IronIngot ), 1044036, 50, 1044037 );
			index = AddCraft( typeof( LoomEastDeed ), 1044298, 1044343, 84.2, 109.2, typeof( Board ), 1044041, 85, 1044351 );
			AddSkill( index, SkillName.Tailoring, 65.0, 70.0 );
			AddRes( index, typeof( Cloth ), 1044286, 25, 1044287 );
			index = AddCraft( typeof( LoomSouthDeed ), 1044298, 1044344, 84.2, 109.2, typeof( Board ), 1044041, 85, 1044351 );
			AddSkill( index, SkillName.Tailoring, 65.0, 70.0 );
			AddRes( index, typeof( Cloth ), 1044286, 25, 1044287 );
			index = AddCraft( typeof( SpinningwheelEastDeed ), 1044298, 1044341, 73.6, 98.6, typeof( Board ), 1044041, 75, 1044351 );
			AddSkill( index, SkillName.Tailoring, 65.0, 70.0 );
			AddRes( index, typeof( Cloth ), 1044286, 25, 1044287 );
			index = AddCraft( typeof( SpinningwheelSouthDeed ), 1044298, 1044342, 73.6, 98.6, typeof( Board ), 1044041, 75, 1044351 );
			AddSkill( index, SkillName.Tailoring, 65.0, 70.0 );
			AddRes( index, typeof( Cloth ), 1044286, 25, 1044287 );
			index = AddCraft( typeof( StoneOvenEastDeed ), 1044298, 1044345, 68.4, 93.4, typeof( Board ), 1044041, 85, 1044351 );
			AddSkill( index, SkillName.Tinkering, 50.0, 55.0 );
			AddRes( index, typeof( IronIngot ), 1044036, 125, 1044037 );
			index = AddCraft( typeof( StoneOvenSouthDeed ), 1044298, 1044346, 68.4, 93.4, typeof( Board ), 1044041, 85, 1044351 );
			AddSkill( index, SkillName.Tinkering, 50.0, 55.0 );
			AddRes( index, typeof( IronIngot ), 1044036, 125, 1044037 );
			AddCraft( typeof( WaterTroughEastDeed ), 1044298, 1044349, 94.7, 119.7, typeof( Board ), 1044041, 150, 1044351 );
			AddCraft( typeof( WaterTroughSouthDeed ), 1044298, 1044350, 94.7, 119.7, typeof( Board ), 1044041, 150, 1044351 );

			
	
			// Set the overridable material
			SetSubRes( typeof( Board ), 1072643 );

			// Add every material you want the player to be able to choose from
			// This will override the overridable material
			AddSubRes( typeof( Board ),			1072643, 00.0, 1044041, 1072652 );
			AddSubRes( typeof( OakBoard ),	1072644, 65.0, 1044041, 1072652 );
			AddSubRes( typeof( AshBoard ),	1072645, 80.0, 1044041, 1072652 );
			AddSubRes( typeof( YewBoard ),		1072646, 95.0, 1044041, 1072652 );
			AddSubRes( typeof( BloodwoodBoard ),		1072648, 100.0, 1044041, 1072652 );
			AddSubRes( typeof( HeartwoodBoard ),			1072647, 100.0, 1044041, 1072652 );
			AddSubRes( typeof( FrostwoodBoard ),		1072649, 100.0, 1044041, 1072652 );
			
			MarkOption = true;
			Repair = Core.AOS;
			CanEnhance = Core.AOS;			
		}
	}
}ÿ